Skip to main content
GET
/
placements
List placements
curl --request GET \
  --url https://api.gospott.com/placements \
  --header 'x-api-key: <api-key>'
{
  "items": [
    {
      "id": "<string>",
      "templateId": "<string>",
      "placedByUser": {
        "id": "<string>",
        "name": "<string>",
        "avatarUrl": "<string>",
        "deactivatedAt": "2023-11-07T05:31:56Z"
      },
      "placedAt": "2023-11-07T05:31:56Z",
      "startDate": "2023-11-07T05:31:56Z",
      "endDate": "2023-11-07T05:31:56Z",
      "fee": {
        "id": "<string>",
        "net": {
          "amount": 10000,
          "currency": "EUR"
        },
        "splits": [
          {
            "user": {
              "id": "<string>",
              "name": "<string>",
              "avatarUrl": "<string>",
              "deactivatedAt": "2023-11-07T05:31:56Z"
            },
            "percentage": 0.5
          }
        ],
        "details": {}
      },
      "extensionOf": {
        "id": "<string>"
      },
      "applicationId": "<string>",
      "candidate": {
        "id": "<string>",
        "firstName": "<string>",
        "lastName": "<string>",
        "middleName": "<string>",
        "secondLastName": "<string>",
        "avatarUrl": "<string>"
      },
      "company": {
        "id": "<string>",
        "name": "<string>",
        "logoCdnUrl": "<string>"
      },
      "vacancy": {
        "id": "<string>",
        "name": "<string>"
      }
    }
  ],
  "pagination": {
    "totalItems": 123,
    "page": 123,
    "hasNextPage": true
  }
}

Authorizations

x-api-key
string
header
required

API key for authentication. Get your API key from Settings → API Keys in your Spott dashboard.

Query Parameters

page
integer
default:0
Required range: 0 <= x <= 10000
pageSize
integer
default:20
Required range: 1 <= x <= 100
companyId
string
modifiedSince
default:1970-01-01T00:00:00.000Z

Filter placements modified on or after this date.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
Example:

"2024-01-01T00:00:00.000Z"

modifiedUntil

Filter placements modified on or before this date.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
Example:

"2024-01-31T23:59:59.999Z"

Response

Successfully retrieved placements. Returns items array with pagination info containing page number, page size, and total count.

items
object[]
required
pagination
object
required